SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
arch: arm
bsp: imx7
build-type: bsp
cflags: []
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
cppflags: []
enabled-by: true
family: imx
includes: []
install:
- destination: ${BSP_INCLUDEDIR}
  source:
  - bsps/arm/imx/include/bsp.h
  - bsps/arm/imx/include/tm27.h
- destination: ${BSP_INCLUDEDIR}/arm/freescale/imx
  source:
  - bsps/arm/imx/include/arm/freescale/imx/imx_ccmvar.h
  - bsps/arm/imx/include/arm/freescale/imx/imx_ecspireg.h
  - bsps/arm/imx/include/arm/freescale/imx/imx_gpcreg.h
  - bsps/arm/imx/include/arm/freescale/imx/imx_i2creg.h
  - bsps/arm/imx/include/arm/freescale/imx/imx_srcreg.h
  - bsps/arm/imx/include/arm/freescale/imx/imx_uartreg.h
  - bsps/arm/imx/include/arm/freescale/imx/imx_wdogreg.h
  - bsps/arm/include/arm/freescale/imx/imx_iomuxreg.h
  - bsps/arm/include/arm/freescale/imx/imx_iomuxvar.h
- destination: ${BSP_INCLUDEDIR}/bsp
  source:
  - bsps/arm/imx/include/bsp/irq.h
  - bsps/arm/include/bsp/imx-gpio.h
  - bsps/arm/include/bsp/imx-iomux.h
- destination: ${BSP_INCLUDEDIR}/dev/clock
  source:
  - bsps/include/dev/clock/arm-generic-timer.h
- destination: ${BSP_LIBDIR}
  source:
  - bsps/arm/imx/start/linkcmds
  - bsps/arm/imx/start/linkcmds
links:
- role: build-dependency
  uid: ../grp
- role: build-dependency
  uid: abi
- role: build-dependency
  uid: objsmp
- role: build-dependency
  uid: optcachedata
- role: build-dependency
  uid: optcacheinst
- role: build-dependency
  uid: optccmahb
- role: build-dependency
  uid: optcmmecspi
- role: build-dependency
  uid: optcmmipg
- role: build-dependency
  uid: optcmmsdhci
- role: build-dependency
  uid: optcmmuart
- role: build-dependency
  uid: optconirq
- role: build-dependency
  uid: ../../optfdtcpyro
- role: build-dependency
  uid: ../../optfdtmxsz
- role: build-dependency
  uid: ../../optfdtro
- role: build-dependency
  uid: ../../optfdtuboot
- role: build-dependency
  uid: optresetvec
- role: build-dependency
  uid: ../start
- role: build-dependency
  uid: ../../obj
- role: build-dependency
  uid: ../../objirq
- role: build-dependency
  uid: ../../opto2
- role: build-dependency
  uid: ../../bspopts
source:
- bsps/arm/imx/console/console-config.c
- bsps/arm/imx/i2c/imx-i2c.c
- bsps/arm/imx/spi/imx-ecspi.c
- bsps/arm/imx/start/bspreset.c
- bsps/arm/imx/start/bspstart.c
- bsps/arm/imx/start/bspstarthooks.c
- bsps/arm/imx/start/ccm.c
- bsps/arm/shared/cache/cache-cp15.c
- bsps/arm/shared/cache/cache-v7ar-disable-data.S
- bsps/arm/shared/clock/arm-generic-timer-aarch32.c
- bsps/arm/shared/cp15/arm-cp15-set-exception-handler.c
- bsps/arm/shared/cp15/arm-cp15-set-ttb-entries.c
- bsps/arm/shared/pins/imx-gpio.c
- bsps/arm/shared/pins/imx_iomux.c
- bsps/arm/shared/start/bsp-start-memcpy.S
- bsps/shared/dev/btimer/btimer-stub.c
- bsps/shared/dev/clock/arm-generic-timer.c
- bsps/shared/dev/getentropy/getentropy-cpucounter.c
- bsps/shared/dev/irq/arm-gicv2.c
- bsps/shared/dev/irq/arm-gicv2-get-attributes.c
- bsps/shared/dev/serial/console-termios.c
- bsps/shared/irq/irq-default-handler.c
- bsps/shared/start/bsp-fdt.c
- bsps/shared/start/bspfatal-default.c
- bsps/shared/start/gettargethash-default.c
- bsps/shared/start/mallocinitone.c
- bsps/shared/start/sbrk.c
- bsps/shared/start/stackalloc.c
- bsps/shared/start/wkspaceinitone.c
type: build
